# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit d4928edba0fe2cc63b3bc13fd6dad0bcb875174e
    parent fabd4602b3223666165c76c397644a081b9a97e5
    Author: Quentin Rameau <quinq@fifth.space>
    Date:   Wed, 12 Jul 2017 00:26:35 +0200

    Let the user specify C and LD FLAGS

    Diffstat:
    MMakefile | 8++++----
    Mconfig.mk | 4++--

    2 files changed, 6 insertions(+), 6 deletions(-)
    diff --git a/Makefile b/Makefile
    @@ -11,15 +11,15 @@ all: options st

     options:
     	@echo st build options:
    -	@echo "CFLAGS  = $(CFLAGS)"
    -	@echo "LDFLAGS = $(LDFLAGS)"
    +	@echo "CFLAGS  = $(STCFLAGS)"
    +	@echo "LDFLAGS = $(STLDFLAGS)"
     	@echo "CC      = $(CC)"

     config.h:
     	cp config.def.h config.h

     .c.o:
    -	$(CC) $(CFLAGS) -c $<
    +	$(CC) $(STCFLAGS) -c $<

     st.o: config.h st.h win.h
     x.o: arg.h st.h win.h
    @@ -27,7 +27,7 @@ x.o: arg.h st.h win.h
     $(OBJ): config.h config.mk

     st: $(OBJ)
    -	$(CC) $(LDFLAGS) -o $@ $(OBJ)
    +	$(CC) $(STLDFLAGS) -o $@ $(OBJ)

     clean:
     	rm -f st $(OBJ) st-$(VERSION).tar.gz
    diff --git a/config.mk b/config.mk
    @@ -20,8 +20,8 @@ LIBS = -L$(X11LIB) -lm -lrt -lX11 -lutil -lXft \

     # flags
     CPPFLAGS = -DVERSION=\"$(VERSION)\" -D_XOPEN_SOURCE=600
    -CFLAGS = -g -std=c99 -pedantic -Wall -Wvariadic-macros -Os $(INCS) $(CPPFLAGS)
    -LDFLAGS = -g $(LIBS)
    +STCFLAGS = $(INCS) $(CPPFLAGS) $(CFLAGS)
    +STLDFLAGS = $(LIBS) $(LDFLAGS)

     # compiler and linker
     # CC = c99